Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2159 - no screensaver when X run as root
Summary: no screensaver when X run as root
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xscreensaver
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-13 03:39 UTC by David Miller
Modified: 2008-05-01 15:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-22 20:35:32 UTC


Attachments (Terms of Use)

Description David Miller 1999-04-13 03:39:03 UTC
Run X via 'startx' after a fresh install, xscreensaver
does not run successfully.

Xscreensaver states:
"Cannot connect to screen :0
 session run as root (0/0)
 running as nobody (99/99)

 Problems like this are usually due to authorization
 problems, did you read the manual?"

I also notice that if I run X as a normal user, and
'su' in a terminal, I cannot start any X clients as
root into that session.

The supreme analness of X in RH6.0 is really becomming
frustrating, and I know it will be so for many users.

Comment 1 Preston Brown 1999-04-13 16:00:59 UTC
We are working on having a 'su' command that will do xauth stuff.
What do you want dave?  For us to continue to have a gaping security
hole because we were using xhost for a long time when running X with
startx?  xdm/gdm/kdm have been using xauth for ages.  You learn to
adapt.

can you please tell me why xscreensaver is being run as root?  I
thought we removed the SUID bit also.

Comment 2 Bill Nottingham 1999-04-13 18:27:59 UTC
um, I think xscreensaver was running as root for him because
he was running as root. :)

Comment 3 Bill Nottingham 1999-04-22 20:35:59 UTC
fixed in a later xscreensaver release


Note You need to log in before you can comment on or make changes to this bug.